<?php 
get_header(); 

// paging
$pagedtext = '';
if( $paged && $paged > 1 ){
	$pagedtext = ' <small>第'.$paged.'页</small>';
}
_moloader('mo_is_minicat', false);
$description = trim(strip_tags(category_description()));
?>

<?php if( mo_is_minicat() ){ ?>
<div class="pageheader">
	<div class="container" style="text-align:center">
		
	  	<h1><?php single_cat_title(); echo $pagedtext; ?></h1>
	  	<div class="note"><?php echo $description ? $description : '去分类设置中添加分类描述吧' ?></div>
	</div>
</div>
<?php } ?>

<section class="container">
	<div class="content-wrap">
		<div class="content">
			<?php _the_ads($name='ads_cat_01', $class='asb-cat asb-cat-01') ?>
			<?php 
				if( mo_is_minicat() ){
					$p_meta = _hui('post_plugin');
					while ( have_posts() ) : the_post(); 
					    echo '<article class="excerpt-minic">';
					        echo '<h2><a'._post_target_blank().' href="'.get_permalink().'" title="'.get_the_title()._get_delimiter().get_bloginfo('name').'">'.get_the_title().'</a></h2>';
					        echo '<p class="meta">';

					        if( $p_meta && $p_meta['date'] ){
					            echo '<time>'.get_the_time('Y-m-d').'</time>';
					        }

					        if( $p_meta && $p_meta['author'] ){
					            $author = get_the_author();
					            if( _hui('author_link') ){
					                $author = '<a href="'.get_author_posts_url( get_the_author_meta( 'ID' ) ).'">'.$author.'</a>';
					            }
					            echo '<span class="author">'.$author.'</span>';
					        }

					        if( $p_meta && $p_meta['view'] ){
					            echo '<span class="pv">'._get_post_views().'</span>';
					        }

					        if ( comments_open() && $p_meta && $p_meta['view'] ) {
					            echo '<a class="pc" href="'.get_comments_link().'">评论('.get_comments_number('0', '1', '%').')</a>';
					        }

					        echo '</p>';

					        echo '<div class="article-content">'._get_excerpt(). '</div>';
					    echo '</article>';

					endwhile; 

					_moloader('mo_paging');

					wp_reset_query();

				}else{
					echo '<div class="pagetitle"><h1><i class="i itag tag-channel"></i>', single_cat_title(), '</h1>'.$pagedtext.'</div>';
					get_template_part( 'excerpt' ); 
				}
			?>
		</div>
	</div>
	<?php get_sidebar() ?>
</section>

<?php get_footer(); ?>